### File

`src/core/pipes/validation.pipe.ts`

### Description

env variables validation pipeline

### Extends

`ValidatorOptions`

### Index

###### Properties

- Optional disableErrorMessages
- Optional exceptionFactory
- Optional transform

### Properties

disableErrorMessages
`disableErrorMessages: `boolean``
Type : `boolean`
Optional
If error messages should be disabled

exceptionFactory
`exceptionFactory: `function``
Type : `function`
Optional
Exception factory

transform
`transform: `boolean``
Type : `boolean`
Optional
If it should be transformed

    import { ValidationError, ValidatorOptions } from 'class-validator';
    /**
     * env variables validation pipeline
     */
    export interface ValidationPipeOptions extends ValidatorOptions {
      /**
       * If it should be transformed
       */
      transform?: boolean;
      /**
       * If error messages should be disabled
       */
      disableErrorMessages?: boolean;
      /**
       * Exception factory
       */
      exceptionFactory?: (errors: ValidationError[]) => any;
    }

# results matching ""

# No results matching ""